summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'media-gfx/f4l/f4l-0.2.1.ebuild')
-rw-r--r--media-gfx/f4l/f4l-0.2.1.ebuild9
1 files changed, 4 insertions, 5 deletions
diff --git a/media-gfx/f4l/f4l-0.2.1.ebuild b/media-gfx/f4l/f4l-0.2.1.ebuild
index 6becc61f8..36f9bc091 100644
--- a/media-gfx/f4l/f4l-0.2.1.ebuild
+++ b/media-gfx/f4l/f4l-0.2.1.ebuild
@@ -25,13 +25,12 @@ src_unpack() {
}
src_compile() {
- "${QTDIR}"/bin/qmake -o Makefile f4l.pro || die "qmake failed"
+ "${QTDIR}"/bin/qmake -o Makefile ${PN}.pro || die "qmake failed"
emake || die "emake failed"
}
src_install() {
- dobin bin/f4l
- insinto /usr/share/pixmaps/${PN}/
- doins src/cursor/main_ico1.xpm
- make_desktop_entry f4l "Flash for Linux" ${PN}/main_ico1.xpm Graphics
+ dobin bin/${PN}
+ newicon src/cursor/main_ico1.xpm ${PN}.xpm
+ make_desktop_entry ${PN} "Flash for Linux" ${PN}.xpm Graphics
}